testPredict<-function(){
	
	require(survHD)
	require(survival)
	
	set.seed(2)
	nsamples <- 100
	X <- matrix(rnorm(nsamples*200),nrow=nsamples)
	colnames(X) <- make.names(1:ncol(X))
	rownames(X) <- make.names(1:nrow(X))
        ##Illegal characters in column and row names should not break things:
        bad.characters <- c("3", "`", "@", "/", "-", " ", "	", "\n", "\\")
        colnames(X) <- paste(sample(bad.characters, ncol(X), replace=TRUE), colnames(X), sep="")
        rownames(X) <- paste(sample(bad.characters, nrow(X), replace=TRUE), rownames(X), sep="")
	time <- rexp(nsamples)
	cens <- sample(0:1,size=nsamples,replace=TRUE)
	y <- Surv(time,cens)
	##bootds defines outer fold (evaluation):
	bootds <- generateLearningsets(y = y, method = "CV", fold = 5, niter = 1, strat = TRUE)
	##tuneres defines inner fold (tuning)
	
	cval <- learnSurvival(X = X, y = y, LearningSets = bootds,
			survmethod="coxBoostSurv",
			stepno=100)
	
	pred1<-predict(cval,newdata=X,type='lp')
	
	pred2<-list()
	for(j in 1:5){
	pred2[[j]]<-predict(cval@ModelLearnedlist[[j]],newdata=X,type='lp')	
		}
		
	pred3<-list()
	for(j in 1:5){
	pred3[[j]]<-predict(cval@ModelLearnedlist[[j]]@model,newdata=X,type='lp')	
	}
	
	
	checkEquals(pred1,pred2,pred3)
	
	pred1<-predict(cval,newdata=X,type='SurvivalProbs',time=1:2)
	
	pred2<-list()
	for(j in 1:5){
		pred2[[j]]<-predict(cval@ModelLearnedlist[[j]],newdata=X,type='SurvivalProbs',time=1:2)	
	}
	
	
	
	
	##checkEquals(pred1,pred2)
	###seems that it does not equal because rownames of curves-slot are different
	
	checkEquals(sum(abs(pred1[[1]]@SurvivalProbs@curves-pred2[[1]]@SurvivalProbs@curves)), 0)
	###too long for bioc
	if(1==0){
	############further test predict function
	library(survHD)
	data(beer.exprs)
	set.seed(123)
	X<-t(as.matrix(beer.exprs))
	data(beer.survival)
	y<-Surv(beer.survival[,2],beer.survival[,1])
	
	ls<-generateLearningsets(y=y[,1],method='CV',fold=3,niter=2)
	
	svaggr<-learnSurvival(X=X,y=y,survmethod='coxBoostSurv',LearningSets=ls)
	
	##predict linear predictors for the test observations in each cv-step 
	pp1<-predict(svaggr)
	##predict survival probabilities for the test observations in each cv-step 
	pp2<-predict(svaggr,type='SurvivalProbs',time=1:3)
	##classify test observations in each cv-step according to their predicted lps 
	pp3<-predict(svaggr,type='cp')
	##predict lps for training and test observations in each cv-step 
	pp4<-predict(svaggr,addtrain=T)
	##predict survival probabilities for training and test observations in each cv-step 
	pp5<-predict(svaggr,type='SurvivalProbs',time=1:3,addtrain=T)
	
	##predict lps for newdata based on the different models of the cv
	pp6<-predict(svaggr,newdata=X)
	##predict lps for newdata and original observations based on the different models of the cv
	pp7<-predict(svaggr,newdata=X,addtrain=T)
	##predict SurvivalProbs for newdata based on the different models of the cv
	pp8<-predict(svaggr,newdata=X,type='SurvivalProbs',time=1:3)
	##predict SurvivalProbs for newdata and original observations based on the different models of the cv
	pp9<-predict(svaggr,newdata=X,type='SurvivalProbs',time=1:3,addtrain=T)
	##classify newdata according to the lps predicted by the different mdels in the cv
	pp10<-predict(svaggr,newdata=X,type='cp')
	
	###use voting scheme
	###if a voting scheme is specified predict returns a single classification for each observation (usually the majority vote of the different models in ModelLearnedlist of the LearnOut-object)
	
	##return majority vote; for ties the first category which has the maximum number of votes 
	pp11<-predict(svaggr,type='cp',voting_scheme='first')
	##return majority vote; for ties, select ranomly among categories with the maximum number of votes
	pp11<-predict(svaggr,type='cp',voting_scheme='first')
	##use user-specified voting mechanism (corresponds to 'random' here)
	voting_scheme<-function(x){names(table(x))[sample(which(table(x)==max(table(x))),1)]}
	pp12<-predict(svaggr,type='cp',voting_scheme=voting_scheme)
	
	
	
	}	
	
}
