\name{LearningSets-class}
\docType{class}
\alias{LearningSets-class}
\alias{LearningSets}
\alias{show,LearningSets-method}
\alias{learnmatrix<-}
\alias{learnmatrix}
\alias{learnmatrix,LearningSets-method}
\alias{learnmatrix<-,LearningSets,matrix-method}
\alias{ntrain<-}
\alias{ntrain}
\alias{ntrain,LearningSets-method}
\alias{ntrain<-,LearningSets,numeric-method}
\alias{iter<-}
\alias{iter}
\alias{iter,LearningSets-method}
\alias{iter<-,LearningSets,numeric-method}

\title{"LearningSets"}
\description{An object returned from \code{\link{generateLearningsets}}
             which is usually passed as arguments to \code{\link{geneSelection}},
             \code{\link{tune}} and \code{\link{learnSurvival}}.}

\section{Slots}{
	 \describe{
    \item{\code{learnmatrix}:}{ A matrix of dimension \code{iter x
	ntrain}. Each row contains the indices of those observations
      representing the learningset for one iteration. If \code{method =
	CV}, zeros appear due to rounding issues.}
    \item{\code{method}:}{The method used to generate the \code{learnmatrix},
                          s.\code{\link{generateLearningsets}}}
    \item{\code{ntrain}:}{Number of observations in one learning set.If
      \code{method = CV}, this number is not attained for all
      iterations, due to rounding issues.}
    \item{\code{iter}:}{Number of iterations (different LearningSets)
      that are stored in \code{learnmatrix}.}
  }
}


\section{Methods}{
 \itemize{
   \item{show}{Use \code{show(LearningSets-object)} for brief information.}
 }
}

\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{learnmatrix} we have: 

\describe{
\item{accessor function:}{\code{learnmatrix(LearningSets-object)}}
\item{replacement function:}{\code{learnmatrix(LearningSets-object)<-}}
}

}

\section{Constructor}{
Objects of class \code{LearningSets} can be constructed using the constructor 
\code{LearningSets} which accepts arguments identical to the slots described in
Section \code{Slots}.
}

\author{ Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}

Martin Slawski \email{ms@cs.uni-sb.de}

        Anne-Laure Boulesteix \email{boulesteix@ibe.med.uni-muenchen.de}
        
       }


\seealso{\code{\link{generateLearningsets}}, \code{\link{geneSelection}},
         \code{\link{tune}}, \code{\link{learnSurvival}}}

\keyword{multivariate}
