\name{ModelLearned-class}
\docType{class}
\alias{ModelLearned-class}
\alias{ModelLearned}
\alias{learnind<-}
\alias{learnind}
\alias{learnind,ModelLearned-method}
\alias{learnind<-,ModelLearned,numeric-method}
\alias{linear.predictor<-}
\alias{linear.predictor}
\alias{linear.predictor,ModelLearned-method}
\alias{linear.predictor<-,ModelLearned,LinearPrediction-method}
\alias{model<-}
\alias{model}
\alias{model,ModelLearned-method}
\alias{model<-,ModelLearned,ModelBase-method}

\title{"ModelLearned"}
\description{Object returned by the functions performing the survival model fit (with ending \code{surv})}
\section{Slots}{
	 \describe{
    \item{\code{y}}{survival response (class \code{Surv})}
    \item{\code{linear.predictor}}{the linear predictor of the model}
    \item{\code{learnind}}{the indices of the training observations}
    \item{\code{method}}{the survival analysis method used for fitting the model}
    \item{\code{model}}{a list containing the object returned by the model fitting function}
 
  }
}
\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{model} we have: 

\describe{
\item{accessor function:}{\code{model(ModelLearned-object)}}
\item{replacement function:}{\code{model(ModelLearned-object)<-}}
}
}

\author{Levi Waldron \email{lwaldron@hsph.harvard.edu},Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}
}

\seealso{
        \code{\link{plusMinusSurv}}, \code{\link{coxBoostSurv}}
         }
\keyword{multivariate}