\name{ModelLinear-class}
\docType{class}
\alias{ModelLinear-class}
\alias{ModelLinear}
\alias{show,ModelLinear-method}
\alias{coefficients<-}
\alias{coefficients}
\alias{coefficients,ModelLinear-method}
\alias{coefficients<-,ModelLinear,numeric-method}

\title{"ModelLinear"}
\description{A class for storing any linear risk score model}
\section{Slots}{
	 \describe{
    \item{\code{coefficients}:}{A numeric vector of coefficients of the linear
      model.  If there is an intercept, it should be contained in the
      first position with the name "(Intercept)".}
    \item{\code{modeltype}:}{A character string of length one, defining
      the type of linear risk score.}
    \item{\code{cutpoint}:}{An optional numeric vector providing one or
      more cutpoints for discretizing predictions.}
    \item{\code{votingthresholds}:}{An optional numeric vector providing
      thresholds for a voting-scheme linear risk score.  If it is of length
      one, thresholds for each feature are assumed to be that.
      Otherwise it must be of the same length as coefficients, and with
      the same names.}
  }
}
\section{Methods}{
  \describe{
    \item{predict}{predict(object, X, y, dropmissing=TRUE)}
	 }
}


\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{coefficients} we have: 

\describe{
\item{accessor function:}{\code{coefficients(ModelLinear-object)}}
\item{replacement function:}{\code{coefficients(ModelLinear-object)<-}}
}
}
\section{Constructor}{
Objects of class \code{ModelLinear} can be constructed using the constructor 
\code{ModelLinear} which accepts arguments identical to the slots described in
Section \code{Slots}.
}

\examples{

cc <- 1:4
names(cc) <- c("b1", "b2", "b3", "b4")
ret.obj <- new("ModelLinear", coefficients = cc)
ret.obj <- new("ModelLinear", coefficients = cc, cutpoint=2.5)
ret.obj <- new("ModelLinear", coefficients = cc, cutpoint=c(2.5,3.5))

}
\author{Levi Waldron \email{lwaldron@hsph.harvard.edu}
  Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}
}

\seealso{\code{\link{predict,ModelLinear-method}}}
\keyword{multivariate}
