\name{TuneOut-class}
\docType{class}
\alias{TuneOut-class}
\alias{TuneOut}
\alias{show,TuneOut-method}

\alias{fold<-,TuneOut,Numeric-method}
\alias{hypergrid<-}
\alias{hypergrid}
\alias{hypergrid,TuneOut-method}
\alias{hypergrid<-,TuneOut,data.frame-method}
\alias{tuneres<-,TuneOut,list-method}
\alias{fold<-,TuneOut,numeric-method}
\alias{method<-,TuneOut,character-method}
\alias{X<-,TuneOut,data.frame-method}
\alias{X,TuneOut-method}
\alias{method,TuneOut-method}
\alias{LearningSets,TuneOut-method}
\alias{tuneres<-}
\alias{tuneres}
\alias{tuneres,TuneOut-method}
\alias{tuneres<-,TuneOut,list-method}
\alias{LearningSets<-,TuneOut,LearningSets-method}
\alias{fold<-}
\alias{fold}
\alias{fold,TuneOut-method}


\title{"TuneOut"}
\description{Object returned by the function \code{\link{tune}}}
\section{Slots}{
	 \describe{
    \item{\code{hypergrid}:}{A \code{data.frame} representing the
                             grid of values that were tried and
                             evaluated. The number of columns equals
                             the number of tuned hyperparameters
                             and the number rows equals the number
                             of all possible combinations of the
                             discrete grids.}
    \item{\code{tuneres}:}{A list of tuning results.}
    \item{\code{method}:}{Name of the survival method that has been tuned.}
    \item{\code{fold}:}{Number of cross-validation fold used for
                        tuning, s. argument of the same name in
                        \code{\link{tune}}}
                        \item{\code{X}:}{Gene expression data (Matrix of regressor variables.  }
                        \item{\code{LearningSets}}{The LearningSets of the (outer) resampling loop.}
                        
  }
}
\section{Methods}{
  \describe{
    \item{show}{Use \code{show(tuninresult-object)} for brief information.}
    \item{getBestParameters}{Use function \code{getBestParameters} to see which
                hyperparameter/hyperparameter combination has performed
                best in terms of a specified evaluation criterion}
    
	 }
}


\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{tuneres} we have: 

\describe{
\item{accessor function:}{\code{tuneres(TuneOut-object)}}
\item{replacement function:}{\code{tuneres(TuneOut-object)<-}}
}
}

\author{Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}
}
\seealso{\code{\link{tune}}}
\keyword{multivariate}
