\name{predict-ModelLinear}
\docType{methods}
\alias{predictsurvhd,ModelLinear,data.frame-method}
\alias{predict,ModelLinear-method}
\alias{predict,NULL-method}

\title{Predictions from a linear risk score model}
\description{Uses a set of coefficients defining a linear regression to
  make predictions from a data matrix.  The variable names of the
  coefficients are matched to the column names of the data matrix, so
  names are important.}
\usage{
\S4method{predictsurvhd}{ModelLinear,data.frame}(object,newdata,type,timegrid=NULL,...)
\S4method{predict}{ModelLinear}(object,...)
}
\arguments{


  \item{object}{an object of class \code{ModelLinear}}
  \item{newdata}{Gene expression data for which predictions shall be returned. The following formats are available:
  \itemize{
   \item{\code{matrix}} Rows correspond to observations, columns to variables.
   \item{\code{data.frame}}  Rows correspond to observations, columns to variables.
   \item{\code{ExpressionSet}} survHD will extract the expressions using exprs().
  } }
  \item{type}{class \code{character}, can be one of the following:
  \itemize{
  \item "lp", if the linear predictor is to be computed
  \item "SurvivalProbs", if the survival probabilities are to be computed
  }}
  \item{timegrid}{the timepoints for which the survival probabilities are to be computed}
  \item{\dots}{more arguments, e.g. 'dropmissing' for plusminus-objects}

}

\seealso{\code{\link{ModelLinear-class}}}
\keyword{multivariate}